int ledPin = 13;                       // Sortie où sera branchée la LED
int ledState = LOW;                    // Etat de la LED (LOW par défaut)

void setup() {
  Serial.begin(9600);                  // On initialise la connexion
  pinMode(ledPin, OUTPUT);             // Et la sortie de la LED
}

void loop() {
  int received;                        // Variable servant à récupérer
                                       // les données reçues

  if (Serial.available()>0) {          // Si des données sont disponibles
    received = Serial.read();          // On les récupère
    if(received == 'a') {              // Si "a" est reçu
      if (ledState==HIGH)              // Et que la LED est allumée
        ledState = LOW;                // On l'éteinds
      else                             // Sinon
        ledState = HIGH;               // On l'allume

      digitalWrite(ledPin, ledState);  // Enfin on change l'état de la LED
    } 
  }
}
